<?php

use Illuminate\Database\Seeder;

class OccasionDescriptionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $occasions = factory(\App\Occasion::class, 18)->create();


        foreach ($occasions as $occasion) {
            foreach (languages() as $language) {
                factory(\App\OccasionDescription::class)->create(
                    [
                        'occasion_id' => $occasion->id,
                        'language_id' => $language->id,
                    ]
                );
            }
        }
    }
}
